<div align="center">
<br>
  <img src="hdsemg_pipe/resources/icon.png" alt="App Icon" width="100" height="100"><br>
    <h2 align="center">🧠 hdsemg-pipe</h2>
    <h3 align="center">HDsEMG Workflow Manager</h3>
</div>

hdsemg-pipe is a Python-based application for processing HD-sEMG (High-Density Surface Electromyography) data. It provides a user-friendly interface for managing and analyzing HD-sEMG recordings.

## Documentation

The full documentation for hdsemg-pipe is available at:

📚 **[Usage Documentation](https://johanneskasser.github.io/hdsemg-pipe/)**

This includes detailed guides on installation, usage, and contributing to the project.

## Installation

In order to install hdsemg-pipe, follow the instructions in the [installation guide](https://johanneskasser.github.io/hdsemg-pipe/latest/installation/).

### Quick Installation

1. Create a virtual environment (recommended):

```bash
    # Create a virtual environment
    python -m venv venv
    
    # Activate the virtual environment
    # On Windows:
    venv\Scripts\activate
    # On Unix or MacOS:
    source venv/bin/activate
```

2. hdsemg-pipe is available as a Python package and can be installed via pip:

```bash
  pip install hdsemg-pipe
```

3. After the installation, you can run the application using from the command line:

```bash
  hdsemg-pipe
```


## Features

- 📁 File management and preprocessing
- 🔗 Grid association and ROI definition
- 🎚️ Channel selection and decomposition result visualization
- ⚡️ Integration with external tools like OpenHD-EMG
